---@meta

---@class UWG_GenericErrorPopup_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Overlay_93 UOverlay
---@field Ok UWG_PopupButton_C
---@field Headline UCommonRichTextBlock
---@field CancelButton UWG_PopupButton_C
---@field Body UCommonRichTextBlock
---@field PopupBody FText
---@field OnAccepted FWG_GenericErrorPopup_COnAccepted
---@field PopupHeadline FText
local UWG_GenericErrorPopup_C = {}

---@return boolean
function UWG_GenericErrorPopup_C:BP_OnHandleBackAction() end
---@return UWidget
function UWG_GenericErrorPopup_C:BP_GetDesiredFocusTarget() end
---@param IsDesignTime boolean
function UWG_GenericErrorPopup_C:PreConstruct(IsDesignTime) end
function UWG_GenericErrorPopup_C:BP_OnActivated() end
function UWG_GenericErrorPopup_C:BP_OnDeactivated() end
---@param Button UCommonButtonBase
function UWG_GenericErrorPopup_C:BndEvt__WG_PopupGeneric_AcceptButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_GenericErrorPopup_C:BndEvt__WG_PopupGeneric_CancelButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param EntryPoint int32
function UWG_GenericErrorPopup_C:ExecuteUbergraph_WG_GenericErrorPopup(EntryPoint) end
function UWG_GenericErrorPopup_C:OnAccepted__DelegateSignature() end


